Status: Resolved Priority: Must have
Author: Christian Lerrahn Category: Persistence
Created: 2010-08-06 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: No NULL safe query method
Description

As mentioned in

http://lists.typo3.org/pipermail/flow3-general/2010-May/000367.html

there is no NULL safe query method.

However, it is often required e.g. to find objects that have no parent
or no children which is indicated by a NULL value in the respective
fields.

Associated revisions
Revision 2b0658e9 - 2010-08-23 16:44 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): isEmpty() matches correctly on NULL now, equality checks against NULL now work correctly on collections, relates
to #9358, fixes #9184.

Change-Id: I0a25251db22e711ab4074c438157ebe1545b2fec

History
#1 - 2010-08-12 18:00 - Karsten Dambekalns
- Category changed from Object to Persistence
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-08-16 13:15 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback
- % Done changed from 0 to 100

Well, with r4604 and r4605 this should be solved. Is there more missing?

#3 - 2010-08-18 13:39 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Target version set to 1.0 alpha 11
- Start date set to 2010-08-18
#4 - 2010-08-18 13:45 - Karsten Dambekalns
- Status changed from Accepted to Resolved

Applied in changeset r5000.
